<div *ngIf="discussion" style="
display: flex;
justify-content: left;" class="list-group-item">

    <div *ngIf="discussion.onModel==='Author'" style="margin-right: 20px; float: left;" [routerLink]="['/authors', discussion.onId._id]">
        <img [src]="discussion.onId.imagePath || '../../assets/images/genre.png'" [alt]="discussion.name" class="img-responsive">
    </div>
    <div *ngIf="discussion.onModel==='Book'" style="margin-right: 20px; float: left;" [routerLink]="['/books', discussion.onId._id]">
        <img [src]="discussion.onId.imagePath || '../../assets/images/genre.png'" [alt]="discussion.name" class="img-responsive">
    </div>
    <div *ngIf="discussion.onModel==='Genre'" style="margin-right: 20px; float: left;" [routerLink]="['/genres', discussion.onId._id]">
        <img src="../../assets/images/genre.png" [alt]="discussion.name" class="img-responsive">
    </div>
    <div>
        <h4>
            <span style="cursor: pointer; color: #f2fa86" (click)="onOpenDiscussion()" class="list-group-item-heading ">
            {{ discussion.name }}</span>
        </h4>
        <div style="display: flex; flex-direction: row; ">
            <h6 style="margin-right: 10px; ">
                Discussion about:
            </h6>
            <h6> <span *ngIf="discussion.onModel==='Author' " style="cursor: pointer; color: #f2fa86 " [routerLink]="[ '/authors', discussion.onId._id] ">
                {{ discussion.onId.name }}</span>
                <span *ngIf="discussion.onModel==='Book' " style="cursor: pointer; color: #f2fa86 " [routerLink]="[ '/books', discussion.onId._id] ">
                {{ discussion.onId.title }}
            </span>
                <span *ngIf="discussion.onModel==='Genre' " style="cursor: pointer; color: #f2fa86 " [routerLink]="[ '/genres', discussion.onId._id] ">
              {{ discussion.onId.name }}
          </span>
            </h6>

        </div>
        <div style="display: flex; flex-direction: row; margin-top: -10px; ">
            <p style="margin-right: 10px; "> Created by: </p>
            <p style="cursor: pointer; color: #f2fa86 " [routerLink]="[ '/users', discussion.user._id] "> {{ discussion.user.username}} </p>
        </div>
        <p style="font-family: Lady; color: white; font-size: 10px;margin-top: -10px; margin-bottom: 0;">
            {{ discussion.createdAt | date:'short'}}
        </p>
    </div>

</div>
